Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.login
Interface LoginHome

All Superinterfaces:
  PortletService

    public interface LoginHome

extends PortletService

Home interface for lookups to the `LoginService`. An implementation can be retrieved from any portlet with a JNDI lookup and used to obtain a login service for a specific request and response pair. The following sample shows how to perform the JNDI lookup:

      com.ibm.portal.portlet.service.PortletServiceHome psh;
      javax.naming.Context ctx = new javax.naming.InitialContext();

      try {
         psh = (PortletServiceHome) ctx.lookup(LoginHome.JNDI_NAME);
         loginHome = (LoginHome) psh.getPortletService(LoginHome.class);
      } catch(javax.naming.NameNotFoundException ex) {
              ... error handling ...
         }
         ...

      // use the service
      LoginService loginService = (LoginService) loginHome.getLoginService(req, resp);
      loginService.login(...);

Since:
  6.0.1

Field Summary
`static java.lang.String` | `JNDI_NAME` The JNDI name constant should be used to look up the `LoginHome` from `JNDI`.

Method Summary
`LoginService` | `getLoginService(PortletRequest req, PortletResponse resp)` Returns the login service for the portlet request and response passed in.

Field Detail

### JNDI_NAME

    static final java.lang.String JNDI_NAME

  The JNDI name constant should be used to look up the `LoginHome` from `JNDI`.

  See Also:
    Constant Field Values

Method Detail

### getLoginService

    LoginService getLoginService(PortletRequest req,
                                 PortletResponse resp)

  Returns the login service for the portlet request and response passed in.

  Returns:
    A new instance of the login service.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD